MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024625Community[OCCT] OCCT:WOKpublic2014-02-13 15:352014-05-05 13:39
Reporterabv 
Assigned Toapn 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024625: Upgrade Bison to version 2.2 or above
DescriptionAs pointed out by Denis Barbier in oce-dev discussion, version of Bison we use currently for building OCCT (generation of drv files by WOK, currently made by Bison 1.25) produce files which hold GPL copyright without additional exception allowing them to be used in non-GPL software. To avoid this inconsistency, Bison version 2.2 or above must be used, see http://www.gnu.org/software/bison/manual/html_node/Conditions.html [^]
Steps To ReproduceSee discussion on https://groups.google.com/forum/#!topic/oce-dev/2L8zwJL6FNg [^]
TagsNo tags attached.
Test case number
Attached Files

- Relationships

-  Notes
(0027897)
abv (manager)
2014-02-14 10:04

I have successfully upgraded WOK on Windows to use Bison 2.7 taken from http://sourceforge.net/projects/winflexbison/ [^] (just replace content of 3rdparty\win32\codegen\ folder by content of the downloaded archive).

Please update WOK distributions.

- Related Changesets
occt: master ced8e751
Timestamp: 2014-04-10 11:12:23
Author: abv
Committer: apn
Details ] Diff ]
0024625: Upgrade Bison to version 2.2 or above

Eliminate MSVC warnings in code generated by Bison 2.41 on Linux
mod - src/StepFile/step.yacc Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-02-13 15:35 abv New Issue
2014-02-13 15:35 abv Assigned To => kgv
2014-02-14 10:04 abv Note Added: 0027897
2014-02-14 10:04 abv Assigned To kgv => bugmaster
2014-02-14 10:04 abv Status new => feedback
2014-04-11 14:43 apn Changeset attached => occt master ced8e751
2014-04-11 14:43 apn Assigned To bugmaster => apn
2014-04-11 14:43 apn Status feedback => verified
2014-04-11 14:43 apn Resolution open => fixed
2014-05-05 13:20 bugmaster Status verified => closed
2014-05-05 13:39 user533 Fixed in Version => 6.7.1


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker